Subject: Re: RELAX NG Grammar for draft-...-00.txt

From: Randy Charles Morin <[email-masked]>
Date: Mon, 12 Jul 2004 18:25:05 -0700 (PDT)

Norman Walsh wrote: 
| atomDateConstruct =
|    atomCommonAttributes,
|    (xsd:date | xsd:dateTime | xsd:gYearMonth | xsd:gYear)
>Urk. This is a cut-and-paste bug. I think we mean xsd:dateTime *only* here.
 
I think all four date formats are acceptable. As per section 3.3 Date Construct of the format spec [1]. 

3.3  Date Constructs

   A Date construct is an element whose child content is a W3C Date-Time
   string [W3C.NOTE-datetime-19980827].

That spec [2] indicates all four date formats are acceptable.
Thanks and please clarify if I missed something,
 
Randy
http://www.kbcafe.com
 
[1] - http://www.ietf.org/internet-drafts/draft-ietf-atompub-format-00.txt
[2] - http://www.w3.org/TR/1998/NOTE-datetime-19980827

---------------------------------
Do you Yahoo!?
Yahoo! Mail - Helps protect you from nasty viruses.

---

From: Norman Walsh <[email-masked]>
Date: Tue, 13 Jul 2004 07:55:26 -0400

/ Randy Charles Morin <[email-masked]> was heard to say:
| Norman Walsh wrote: 
| | atomDateConstruct =
| |    atomCommonAttributes,
| |    (xsd:date | xsd:dateTime | xsd:gYearMonth | xsd:gYear)
|>Urk. This is a cut-and-paste bug. I think we mean xsd:dateTime *only* here.
|
| I think all four date formats are acceptable. As per section 3.3 Date Construct of the format spec [1]. 
|
| 3.3  Date Constructs
|
|    A Date construct is an element whose child content is a W3C Date-Time
|    string [W3C.NOTE-datetime-19980827].
|
| That spec [2] indicates all four date formats are acceptable.
| Thanks and please clarify if I missed something,

I think you're right, but saying that date constructs should have a time zone
(or must in one case), doesn't square very well with allowing "1994" as the
content.

I lean towards adopting the RFC for timestamps, myself.

                                        Be seeing you,
                                          norm

-- 
Norman Walsh <[email-masked]> | "Abstraction, abstraction and
http://nwalsh.com/            | abstraction." This is the answer to the
                              | question, "What are the three most
                              | important words in programming?"--Paul
                              | Hudak

---

From: Joe Gregorio <[email-masked]>
Date: Tue, 13 Jul 2004 10:15:47 -0400

> I lean towards adopting the RFC for timestamps, myself.

+1 for RFC 3339 

    Thanks,
    -joe

---

From: Walter Underwood <[email-masked]>
Date: Tue, 13 Jul 2004 11:12:27 -0700

> Construct of the format spec [1].

I strongly favor using RFC 3339 and thus requiring timestamps specified
to the second (or better). Sorting timestamps with different resolutions
is a mess.

Ultraseek does handle the W3C DateTimes, and dealing with the shortened
forms wasn't pretty.

wunder
--
Walter Underwood
Principal Architect
Verity Ultraseek